Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Methods of the helma.Image module.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/helma/Image.js')
Methods
helma. Image(arg)
Returns an Image object, generated from the specified source.
If the JIMI package is installed, an instance of helma.image.jimi.JimiGenerator will be returned. Otherwise, if the javax.imageio package is available, an instance of helma.image.imageio.ImageIOGenerator is returned. Additionally, the class of the ImageGenerator implementation to be used can be set using the `imageGenerator` property in either the app.properties or server.properties file.
parameters

helma.File, java.io.File, String | arg | image source, filename or url

returns

| a new Image object

see

Packages.helma.image.ImageGenerator
Packages.helma.image.jimi.JimiGenerator
Packages.helma.image.imageio.ImageIOGenerator

helma.Image. getInfo(arg)
Returns an ImageInfo object for the specified image file.
parameters

helma.File, java.io.File, String | arg | image source, filename or url

returns

| an ImageInfo object

see

Packages.helma.image.ImageInfo

helma.Image. spacer()
Writes a 1x1 pixel transparent spacer GIF image to the response buffer and sets the content type to image/gif.
Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar